# Open Source License
# Copyright (c) 2019-2021 Nomadic Labs <contact@nomadic-labs.com>
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

FROM registry.gitlab.com/tezos/opam-repository:runtime-build-test-dependencies--28c81453b41d5414a0d32af8fe10c5197f43d360 as build

USER tezos
WORKDIR /home/tezos
ENV OPAMYES=true

RUN sudo chown tezos /home/tezos/
RUN git clone https://gitlab.com/tezos/tezos.git --single-branch -b v10.1
RUN cd tezos && eval $(opam env) && dune build _build/default/src/bin_node/main.exe && sudo cp _build/default/src/bin_node/main.exe /tezos-node
RUN rm -fr /home/tezos ; /tezos-node --version
ENTRYPOINT ["/tezos-node"]
